      SUBROUTINE LEADZE(FIELD,LEN)                                      
C                                                                       
C     THIS SUBROUTINE PLACES LEADING ZEROS IN CODED INTEGER FIELDS      
C                                                                       
C     FIELD   IS THE NUMERIC FIELD TO HAVE LEADING ZEROS PLACED IN IT   
C     LEN     IS THE NUMBER OF CHARACTERS IN THE FIELD                  
C     A MAXIMUM OF 20 CHARACTERS MAY BE HANDLED BY A CALL
C                                                                       
      LOGICAL*1    FIELD(20)                                              
      DO 10 I=1,LEN                                                     
      FIELD(I)=FIELD(I).OR."20                                            
   10 CONTINUE                                                          
      RETURN                                                            
      END                                                               
